Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Profiles by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://www.facebook.com/GoramHomes/mentions/",
    "name": "Goram Homes",
    "id": "100090557460648",
    "profile_photo": "https://...",
    "cover_photo": "https://...",
    "work": null,
    "college": null,
    "high_school": null,
    "photos": null
  }
]

Query Parameters

dataset_id
string
default:"gd_mf0urb782734ik94dz"
required
The dataset ID used for this request.
Must be set to gd_mf0urb782734ik94dz to collect Facebook profiles data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.facebook.com/zuck"},
    {"url": "https://www.facebook.com/sheryl"}
  ]
}
[
  {
    "url": "https://www.facebook.com/GoramHomes/mentions/",
    "name": "Goram Homes",
    "id": "100090557460648",
    "profile_photo": "https://...",
    "cover_photo": "https://...",
    "work": null,
    "college": null,
    "high_school": null,
    "photos": null
  }
]